# -*- coding: utf-8 -*-
#
# Gearmand documentation build configuration file, created by
# sphinx-quickstart on Sun Mar  6 12:05:53 2011.
#
# This file is execfile()d with the current directory set to its containing dir.
#
# Note that not all possible configuration values are present in this
# autogenerated file.
#
# All configuration values have a default; values that are commented out
# serve to show the default.

import sys, os

# If extensions (or modules to document with autodoc) are in another directory,
# add these directories to sys.path here. If the directory is relative to the
# documentation root, use os.path.abspath to make it absolute, like shown here.
#sys.path.insert(0, os.path.abspath('.'))

# -- General configuration -----------------------------------------------------

# If your documentation needs a minimal Sphinx version, state it here.
#needs_sphinx = '1.0'

# Add any Sphinx extension module names here, as strings. They can be extensions
# coming with Sphinx (named 'sphinx.ext.*') or your custom ones.
extensions = []

# Add any paths that contain templates here, relative to this directory.
templates_path = ['_templates']

# The suffix of source filenames.
source_suffix = '.rst'

# The encoding of source files.
#source_encoding = 'utf-8-sig'

# The master toctree document.
master_doc = 'index'

# General information about the project.
project = u'Gearmand'
copyright = u'2011, Data Differential, http://datadifferential.com/'

# The version info for the project you're documenting, acts as replacement for
# |version| and |release|, also used in various other places throughout the
# built documents.
#
# The short X.Y version.
version = '0.20'
# The full version, including alpha/beta/rc tags.
release = '0.20'

# The language for content autogenerated by Sphinx. Refer to documentation
# for a list of supported languages.
#language = None

# There are two options for replacing |today|: either, you set today to some
# non-false value, then it is used:
#today = ''
# Else, today_fmt is used as the format for a strftime call.
#today_fmt = '%B %d, %Y'

# List of patterns, relative to source directory, that match files and
# directories to ignore when looking for source files.
exclude_patterns = ['_build']

# The reST default role (used for this markup: `text`) to use for all documents.
#default_role = None

# If true, '()' will be appended to :func: etc. cross-reference text.
#add_function_parentheses = True

# If true, the current module name will be prepended to all description
# unit titles (such as .. function::).
#add_module_names = True

# If true, sectionauthor and moduleauthor directives will be shown in the
# output. They are ignored by default.
#show_authors = False

# The name of the Pygments (syntax highlighting) style to use.
pygments_style = 'sphinx'

# A list of ignored prefixes for module index sorting.
#modindex_common_prefix = []


# -- Options for HTML output ---------------------------------------------------

# The theme to use for HTML and HTML Help pages.  See the documentation for
# a list of builtin themes.
html_theme = 'default'

# Theme options are theme-specific and customize the look and feel of a theme
# further.  For a list of options available for each theme, see the
# documentation.
#html_theme_options = {}

# Add any paths that contain custom themes here, relative to this directory.
#html_theme_path = []

# The name for this set of Sphinx documents.  If None, it defaults to
# "<project> v<release> documentation".
#html_title = None

# A shorter title for the navigation bar.  Default is the same as html_title.
#html_short_title = None

# The name of an image file (relative to this directory) to place at the top
# of the sidebar.
#html_logo = None

# The name of an image file (within the static path) to use as favicon of the
# docs.  This file should be a Windows icon file (.ico) being 16x16 or 32x32
# pixels large.
#html_favicon = None

# Add any paths that contain custom static files (such as style sheets) here,
# relative to this directory. They are copied after the builtin static files,
# so a file named "default.css" will overwrite the builtin "default.css".
html_static_path = ['_static']

# If not '', a 'Last updated on:' timestamp is inserted at every page bottom,
# using the given strftime format.
#html_last_updated_fmt = '%b %d, %Y'

# If true, SmartyPants will be used to convert quotes and dashes to
# typographically correct entities.
#html_use_smartypants = True

# Custom sidebar templates, maps document names to template names.
#html_sidebars = {}

# Additional templates that should be rendered to pages, maps page names to
# template names.
#html_additional_pages = {}

# If false, no module index is generated.
#html_domain_indices = True

# If false, no index is generated.
#html_use_index = True

# If true, the index is split into individual pages for each letter.
#html_split_index = False

# If true, links to the reST sources are added to the pages.
#html_show_sourcelink = True

# If true, "Created using Sphinx" is shown in the HTML footer. Default is True.
#html_show_sphinx = True

# If true, "(C) Copyright ..." is shown in the HTML footer. Default is True.
#html_show_copyright = True

# If true, an OpenSearch description file will be output, and all pages will
# contain a <link> tag referring to it.  The value of this option must be the
# base URL from which the finished HTML is served.
#html_use_opensearch = ''

# This is the file name suffix for HTML files (e.g. ".xhtml").
#html_file_suffix = None

# Output file base name for HTML help builder.
htmlhelp_basename = 'gearmandoc'


# -- Options for LaTeX output --------------------------------------------------

# The paper size ('letter' or 'a4').
#latex_paper_size = 'letter'

# The font size ('10pt', '11pt' or '12pt').
#latex_font_size = '10pt'

# Grouping the document tree into LaTeX files. List of tuples
# (source start file, target name, title, author, documentclass [howto/manual]).
latex_documents = [
  ('index', 'libmemcached.tex', u'libmemcached Documentation',
   u'Brian Aker', 'manual'),
]

# The name of an image file (relative to this directory) to place at the top of
# the title page.
#latex_logo = None

# For "manual" documents, if this is true, then toplevel headings are parts,
# not chapters.
#latex_use_parts = False

# If true, show page references after internal links.
#latex_show_pagerefs = False

# If true, show URL addresses after external links.
#latex_show_urls = False

# Additional stuff for the LaTeX preamble.
#latex_preamble = ''

# Documents to append as an appendix to all manuals.
#latex_appendices = []

# If false, no module index is generated.
#latex_domain_indices = True


# -- Options for manual page output --------------------------------------------

# One entry per manual page. List of tuples

# (source start file, name, description, authors, manual section).
man_pages = [
  ('gearman_bugreport', 'gearman_bugreport', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client', 'gearman_client_create', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client', 'gearman_client_clone', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client', 'gearman_client_free', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_execute', 'gearman_client_execute', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_add_options', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_add_server', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_add_servers', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_add_task', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_add_task_background', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_add_task_high', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_add_task_high_background', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_add_task_low', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_add_task_low_background', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_add_task_status', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_clear_fn', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_context', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_do', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_do_background', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_do_high', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_do_high_background', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_do_job_handle', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_do_low', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_do_low_background', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_do_status', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_echo', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_errno', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_error', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_job_status', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_options', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_remove_options', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_remove_servers', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_run_tasks', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_set_complete_fn', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_set_context', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_set_created_fn', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_set_data_fn', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_set_exception_fn', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_set_fail_fn', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_set_log_fn', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_set_options', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_set_status_fn', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_set_task_context_free_fn', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_set_timeout', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_set_warning_fn', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_set_workload_fn', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_set_workload_free_fn', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_set_workload_malloc_fn', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_st', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_task_free_all', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_timeout', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_client_st', 'gearman_client_wait', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_function_st', 'gearman_function_st', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_job_st', 'gearman_job_free', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_job_st', 'gearman_job_free_all', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_job_st', 'gearman_job_function_name', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_job_st', 'gearman_job_handle', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_job_st', 'gearman_job_send_complete', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_job_st', 'gearman_job_send_data', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_job_st', 'gearman_job_send_exception', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_job_st', 'gearman_job_send_fail', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_job_st', 'gearman_job_send_status', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_job_st', 'gearman_job_send_warning', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_job_st', 'gearman_job_st', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_job_st', 'gearman_job_take_workload', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_job_st', 'gearman_job_unique', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_job_st', 'gearman_job_workload', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_job_st', 'gearman_job_workload_size', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_parse_servers', 'gearman_parse_servers', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_status_t', 'gearman_status_t', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_task_st', 'gearman_task_context', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_task_st', 'gearman_task_data', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_task_st', 'gearman_task_data_size', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_task_st', 'gearman_task_denominator', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_task_st', 'gearman_task_free', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_task_st', 'gearman_task_function_name', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_task_st', 'gearman_task_give_workload', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_task_st', 'gearman_task_is_known', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_task_st', 'gearman_task_is_running', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_task_st', 'gearman_task_job_handle', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_task_st', 'gearman_task_numerator', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_task_st', 'gearman_task_recv_data', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_task_st', 'gearman_task_send_workload', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_task_st', 'gearman_task_set_context', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_task_st', 'gearman_task_st', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_task_st', 'gearman_task_take_data', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_task_st', 'gearman_task_unique', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_unique_t', 'gearman_unique_t', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_verbose_name', 'gearman_verbose_name', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_version', 'gearman_version', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_worker_st', 'gearman_worker_add_function', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_worker_st', 'gearman_worker_add_options', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_worker_st', 'gearman_worker_add_server', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_worker_st', 'gearman_worker_add_servers', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_worker_st', 'gearman_worker_clone', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_worker_st', 'gearman_worker_context', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_worker_st', 'gearman_worker_create', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_worker_st', 'gearman_worker_echo', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_worker_st', 'gearman_worker_errno', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_worker_st', 'gearman_worker_error', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_worker_st', 'gearman_worker_free', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_worker_st', 'gearman_worker_function_exist', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_worker_st', 'gearman_worker_grab_job', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_worker_st', 'gearman_worker_options', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_worker_st', 'gearman_worker_register', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_worker_st', 'gearman_worker_remove_options', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_worker_st', 'gearman_worker_remove_servers', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_worker_st', 'gearman_worker_set_context', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_worker_st', 'gearman_worker_set_log_fn', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_worker_st', 'gearman_worker_set_options', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_worker_st', 'gearman_worker_set_timeout', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_worker_st', 'gearman_worker_set_workload_free_fn', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_worker_st', 'gearman_worker_set_workload_malloc_fn', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_worker_st', 'gearman_worker_st', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_worker_st', 'gearman_worker_timeout', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_worker_st', 'gearman_worker_unregister', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_worker_st', 'gearman_worker_unregister_all', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_worker_st', 'gearman_worker_wait', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_worker_st', 'gearman_worker_work', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_status_t', 'gearman_status_t', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_status_t', 'gearman_status_is_successful', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman_status_t', 'gearman_status_task', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ('gearman', 'gearman', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 1),
  ('gearadmin', 'gearadmin', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 1),
  ('gearmand', 'gearmand', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 8),
  ('libgearman', 'libgearman', u'Gearmand Documentation', [u'Data Differential http://datadifferential.com/'], 3),
  ]
